linux: 3.0.0-20.34 -proposed tracker

Bug #992497 reported by Luis Henriques on 2012-05-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Sylvain Pineau
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-20.34 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 01. May 2012 10:00 UTC
kernel-stable-Prepare-package-end:Wednesday, 02. May 2012 10:18 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 02. May 2012 10:18 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 08. May 2012 00:46 UTC
kernel-stable-Verification-testing-start:Tuesday, 08. May 2012 02:01 UTC
kernel-stable-Verification-testing-end:Monday, 14. May 2012 22:15 UTC
kernel-stable-Certification-testing-start:Monday, 14. May 2012 22:16 UTC
kernel-stable-Security-signoff-start:Monday, 14. May 2012 22:16 UTC
kernel-stable-Regression-testing-start:Monday, 14. May 2012 22:16 UTC
kernel-stable-Security-signoff-end:Wednesday, 16. May 2012 01:15 UTC
kernel-stable-Regression-testing-end:Wednesday, 23. May 2012 17:45 UTC
kernel-stable-phase:CopyToUpdates
kernel-stable-Promote-to-updates-start:Friday, 25. May 2012 15:45 UTC
kernel-stable-phase-changed:Friday, 25. May 2012 15:45 UTC
kernel-stable-Certification-testing-end:Friday, 25. May 2012 15:45 UTC

CVE References

Luis Henriques (henrix) on 2012-05-01
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 993169

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 993170

description: updated
Martin Pitt (pitti) on 2012-05-02
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-08
description: updated
Brad Figg (brad-figg) on 2012-05-08
description: updated
Herton R. Krzesinski (herton) wrote :

SRU report shows all bugs verified for this update.

Brad Figg (brad-figg) on 2012-05-14
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-16
description: updated

Hardware Certification will begin testing this -proposed kernel

Due to availability of lab engineers this can't be completed until Tuesday at the earliest

C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-05-23
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

I'm leading the SRU testing for Certification this week, we have a couple of system left to check but so far everything looks good.
I hope to complete it by tomorrow.

Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification has completed testing on 48/56 systems. Seven systems are not accessible in the labs and one was certified on site. Results are available here: http://people.canonical.com/~hwcert/sru-testing/current/oneiric-proposed.html

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

Daniel Manrique (roadmr) wrote :

Apologies for the oversight, I applied the certification-testing-passed tag based on spineau's last comment and conversation with him indicating that no problems were found.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-05-25
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (13.5 KiB)

This bug was fixed in the package linux - 3.0.0-20.34

---------------
linux (3.0.0-20.34) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #992497

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: btusb: Add vendor specific ID (0489 e042) for
    BCM20702A0
    - LP: #980965

  [ Tim Gardner ]

  * [Config] Fix invalid linux-headers link
    - LP: #974403
  * Remove headers asm symlink entirely
    - LP: #974403

  [ Upstream Kernel Changes ]

  * Revert "x86/ioapic: Add register level checks to detect bogus io-apic
    entries"
    - LP: #983326
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * x86 bpf_jit: fix a bug in emitting the 16-bit immediate operand of AND
    - LP: #983326
  * rose_dev: fix memcpy-bug in rose_set_mac_address
    - LP: #983326
  * net: usb: cdc_eem: fix mtu
    - LP: #983326
  * mtd: sst25l: initialize writebufsize
    - LP: #983326
  * mtd: block2mtd: initialize writebufsize
    - LP: #983326
  * mtd: lart: initialize writebufsize
    - LP: #983326
  * mtd: m25p80: set writebufsize
    - LP: #983326
  * ACPI: Do cpufreq clamping for throttling per package v2
    - LP: #983326
  * PNPACPI: Fix device ref leaking in acpi_pnp_match
    - LP: #983326
  * modpost: fix ALL_INIT_DATA_SECTIONS
    - LP: #983326
  * genirq: Adjust irq thread affinity on IRQ_SET_MASK_OK_NOCOPY return
    value
    - LP: #983326
  * tracing: Fix ftrace stack trace entries
    - LP: #983326
  * m68k/mac: Add missing platform check before registering platform
    devices
    - LP: #983326
  * mac80211: fix possible tid_rx->reorder_timer use after free
    - LP: #983326
  * drm: Validate requested virtual size against allocated fb size
    - LP: #983326
  * drm/radeon/kms: fix fans after resume
    - LP: #983326
  * drm/i915: no-lvds quirk on MSI DC500
    - LP: #983326
  * drm/i915: Sanitize BIOS debugging bits from PIPECONF
    - LP: #983326
  * drm/i915: Add lock on drm_helper_resume_force_mode
    - LP: #983326
  * drm/i915: quirk away broken OpRegion VBT
    - LP: #983326
  * kgdb,debug_core: pass the breakpoint struct instead of address and
    memory
    - LP: #983326
  * kgdbts: Fix kernel oops with CONFIG_DEBUG_RODATA
    - LP: #983326
  * kgdbts: (1 of 2) fix single step awareness to work correctly with SMP
    - LP: #983326
  * kgdbts: (2 of 2) fix single step awareness to work correctly with SMP
    - LP: #983326
  * x86,kgdb: Fix DEBUG_RODATA limitation using text_poke()
    - LP: #983326
  * mmc: atmel-mci: correct data timeout computation
    - LP: #983326
  * sysctl: fix write access to dmesg_restrict/kptr_restrict
    - LP: #983326
  * modpost: Fix modpost's license checking V3
    - LP: #983326
  * modpost: Fix modpost license checking of vmlinux.o
    - LP: #983326
  * x86/PCI: use host bridge _CRS info on MSI MS-7253
    - LP: #983326
  * x86/PCI: do not tie MSI MS-7253 use_crs quirk to BIOS version
    - LP: #983326
  * acer-wmi: No wifi rfkill on Sony machines
    - LP: #983326
  * sched/x86: Fix overflow in cyc2ns_offset
    - LP: #98332...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

Copied to -security/-updates.

Changed in kernel-sru-workflow:
status: In Progress → Fix Released

For posterity, here is a hard link to the certification report (current is a soft link so will change soon) - http://people.canonical.com/~hwcert/sru-testing/wk21_2012/oneiric-proposed.html

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers